cryptkey_be.h File Reference
`#include <gwenhywfar/cryptkey.h>`

Go to the source code of this file.

## Typedefs

typedef GWENHYWFAR_CB int(* | GWEN_CRYPT_KEY_DECIPHER_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPT_KEY_ENCIPHER_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPT_KEY_SIGN_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pSignatureData, uint32_t *pSignatureLen)
typedef GWENHYWFAR_CB int(* | GWEN_CRYPT_KEY_VERIFY_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, const uint8_t *pSignatureData, uint32_t signatureLen)

## Functions

GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_Key_dup (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_Key_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_Key_new (GWEN_CRYPT_CRYPTALGOID cryptAlgoId, int keySize)
GWENHYWFAR_API GWEN_CRYPT_KEY_DECIPHER_FN | GWEN_Crypt_Key_SetDecipherFn (GWEN_CRYPT_KEY *k, GWEN_CRYPT_KEY_DECIPHER_FN f)
GWENHYWFAR_API GWEN_CRYPT_KEY_ENCIPHER_FN | GWEN_Crypt_Key_SetEncipherFn (GWEN_CRYPT_KEY *k, GWEN_CRYPT_KEY_ENCIPHER_FN f)
GWENHYWFAR_API GWEN_CRYPT_KEY_SIGN_FN | GWEN_Crypt_Key_SetSignFn (GWEN_CRYPT_KEY *k, GWEN_CRYPT_KEY_SIGN_FN f)
GWENHYWFAR_API GWEN_CRYPT_KEY_VERIFY_FN | GWEN_Crypt_Key_SetVerifyFn (GWEN_CRYPT_KEY *k, GWEN_CRYPT_KEY_VERIFY_FN f)
GWENHYWFAR_API int | GWEN_Crypt_Key_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)

## Typedef Documentation

## GWEN_CRYPT_KEY_DECIPHER_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPT_KEY_DECIPHER_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)

Definition at line 36 of file cryptkey_be.h.

## GWEN_CRYPT_KEY_ENCIPHER_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPT_KEY_ENCIPHER_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pOutData, uint32_t *pOutLen)

Definition at line 31 of file cryptkey_be.h.

## GWEN_CRYPT_KEY_SIGN_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPT_KEY_SIGN_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, uint8_t *pSignatureData, uint32_t *pSignatureLen)

Definition at line 21 of file cryptkey_be.h.

## GWEN_CRYPT_KEY_VERIFY_FN

typedef GWENHYWFAR_CB int(* GWEN_CRYPT_KEY_VERIFY_FN) (GWEN_CRYPT_KEY *k, const uint8_t *pInData, uint32_t inLen, const uint8_t *pSignatureData, uint32_t signatureLen)

Definition at line 26 of file cryptkey_be.h.

## Function Documentation

## GWEN_Crypt_Key_dup()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_Key_dup | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Key_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_Key_fromDb | ( | GWEN_DB_NODE * | db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_Key_new()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_Key_new | ( | GWEN_CRYPT_CRYPTALGOID | cryptAlgoId,
|  | int | keySize )

References GWEN_CRYPT_CRYPTALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_Key_SetDecipherFn()

GWENHYWFAR_API GWEN_CRYPT_KEY_DECIPHER_FN GWEN_Crypt_Key_SetDecipherFn | ( | GWEN_CRYPT_KEY * | k,
|  | GWEN_CRYPT_KEY_DECIPHER_FN | f )

## GWEN_Crypt_Key_SetEncipherFn()

GWENHYWFAR_API GWEN_CRYPT_KEY_ENCIPHER_FN GWEN_Crypt_Key_SetEncipherFn | ( | GWEN_CRYPT_KEY * | k,
|  | GWEN_CRYPT_KEY_ENCIPHER_FN | f )

References GWENHYWFAR_API.

## GWEN_Crypt_Key_SetSignFn()

GWENHYWFAR_API GWEN_CRYPT_KEY_SIGN_FN GWEN_Crypt_Key_SetSignFn | ( | GWEN_CRYPT_KEY * | k,
|  | GWEN_CRYPT_KEY_SIGN_FN | f )

References GWENHYWFAR_API.

## GWEN_Crypt_Key_SetVerifyFn()

GWENHYWFAR_API GWEN_CRYPT_KEY_VERIFY_FN GWEN_Crypt_Key_SetVerifyFn | ( | GWEN_CRYPT_KEY * | k,
|  | GWEN_CRYPT_KEY_VERIFY_FN | f )

References GWENHYWFAR_API.

## GWEN_Crypt_Key_toDb()

GWENHYWFAR_API int GWEN_Crypt_Key_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.